include ../../makefile.dep

LIBDIR= ../../lib/$(HOST)
BINDIR= ../../bin/$(HOST)

INCLUDES      = -I../include  -I../../include

TARGETS =	loadtbbp

all:	$(TARGETS)

LIBS1	      =  \
      $(LIBDIR)/use_db$(LIB) \
		$(LIBDIR)/dbsource$(LIB) \
		$(LIBDIR)/ioserv$(LIB)


loadtbbp   : $(BINDIR)/loadtbbp$(EXE)
loadtbbpOBJECTS = loadtbbp$(OBJ) read_bbp$(OBJ) tsub_bbp$(OBJ)\
			t2db_bbp$(OBJ) initadcp$(OBJ) \
			$(LIBDIR)/main_cnt$(OBJ)
$(BINDIR)/loadtbbp$(EXE): $(loadtbbpOBJECTS)
	$(CCLINK) -o $@ $(loadtbbpOBJECTS) $(LIBS1) $(LDLIBS)
	$(CHMOD) $(BIN_PERMISSION) $@


clean:
	$(RM) $(DIRT)
#
